/* =========================================
   ZEITSTRAHL – CONTAINER
   ========================================= */

.zs-timeline {
    position: relative;
    display: grid;
    grid-template-columns: 1fr;
    padding: 0 0;
    gap:0;

    @media (width >= 40rem) {
        grid-template-columns: repeat(3, 1fr);
       
        padding: 2rem 0;
    }

    @media (width >= 80rem) {
        grid-template-columns: repeat(5, 1fr);
        padding: 2rem 0;
    }
    .zs-item {
        display: grid;
        grid-template-columns: auto 1fr;
        gap:2rem;
        
        
      
        
        @media (width >= 40rem) {
            grid-template-columns: 1fr;
            grid-template-rows:subgrid;
            
        }
        .zs-point {
            position: relative;
            display: grid;

            align-items: center;
            justify-content: center;

            .linie {
                width: 0.5rem;
                height: 100%;
                background-color: var(--cl-accent-900);

                @media (width >= 40rem) {
                    position: relative;
                    position: absolute;
                    top: -0;
                    width: 100%;
                    height: 0.5rem;
                   
                }
            }

            .punkt {
                 
                position: absolute;
                left: -0.5rem;
                width: 1rem;
                height: 1rem;
                background-color: var(--cl-neutral-100);
                border-radius: 50%;
                border: 0.25rem solid;
                border-color: var(--cl-accent-900);
                @media (width >40rem) {
                    justify-content: center;
                    top: -.5rem;
                    left: 50%;
                }
            }
        }
    }
}
.zs-text {
    position: relative;
    display: grid;
    padding: 0 1rem;
     pointer-events: auto;
    .cta-button{
        background-color: var(--cl-accent-900);
                 margin-bottom: 1rem;
             &:hover{
                background-color: var(--cl-primary-900);
        }
        
    }
    & span{
        font-family: var(--font-accent);
        color:var(--cl-accent-900);
        display: block;
       
    }
    
    @media (width >= 40rem){
        padding-top:1rem;
    }
    
    
}
.quellenangabe{
    color:var(--cl-neutral-100);
    background-color: var(--cl-accent-900);
    padding: 0.5rem 1rem;
    & a{
        color:var(--cl-neutral-100);
    }
    
}
